/*******************************************************************************

Copyright(c) 2011-2021 Analog Devices, Inc. All Rights Reserved.

This software is proprietary.  By using this software you
agree to the terms of the associated Analog Devices License Agreement.

*******************************************************************************/

/*!
* @file      adi_fir.c
*
* @brief     FIR Accelerator Driver source file.
*
* @details
*            This is the primary source file for the FIR Accelerator implementation.
*/

#if defined(__ADSPSC835_FAMILY__)
#if defined(__ADSPSHARCFX__)
#include "adi_fir_v3.c"
#else
#error "This core is not supported"
#endif
#endif /* defined(__ADSPSC835_FAMILY__) */
