/*********************************************************************************

Copyright(c) 2022 - 2023 Analog Devices, Inc. All Rights Reserved.

This software is proprietary.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/

/*!
* @file      adi_iir.c
*
* @brief     IIR Accelerator Driver source file.
*
* @details
*            This is the primary source file for the IIR Accelerator implementation.
*/

#if defined(__ADSPSC835_FAMILY__)
#if defined(__ADSPSHARCFX__)
#include "adi_iir_v3.c"
#else
#error "This core is not supported"
#endif
#endif /* defined(__ADSPSC835_FAMILY__) */
